Dinner_20060905_13.JPG=Sonja
Dinner_20060905_16.JPG=Sonja & Greg
Dinner_20060905_01.JPG=Greg & Sonja
Dinner_20060905_14.JPG=Greg
Dinner_20060905_10.JPG=Sonja
Dinner_20060906_17.JPG=Pita
Dinner_20060905_04.JPG=Donna & Sonja
Dinner_20060905_08.JPG=Mr Keith works so hard!
Dinner_20060905_07.JPG=Me with Sonja and Donna
Dinner_20060905_09.JPG=Mr Keith works so hard!
Dinner_20060905_15.JPG=Mr Keith works so hard!
Dinner_20060905_12.JPG=Mr Keith works so hard!
Dinner_20060905_11.JPG=Mr Greg takes bad pictures.
Dinner_20060905_06.JPG=Sonja, Greg, and Donna
Dinner_20060905_05.JPG=Greg & Donna
Dinner_20060905_03.JPG=Donna & Sonja
Dinner_20060905_02.JPG=Greg & Sonja
